Subject: Re: bug#58858: Installation script fails on distributions that use busybox

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 16 Nov 2022 16:30:46 -0500

Hi,

conses <[email-masked]> writes:

> Hi,
>
> Following the instructions in the manual, I attempted to install the
> package manager in Alpine Linux via the official installation
> script. However, after completing the first prompts I got the error
> "mktemp: (null): Invalid argument". Upon closer inspection of the script
> and busybox's `mktemp' help page, which states the following:
>
> TEMPLATE must end with XXXXXX (e.g. [/dir/]nameXXXXXX)
>
> It's clear that the script should be modified to account for this with
> at least 6 "X" characters in the template, and this wouldn't pose a
> problem with GNU's `mktemp' because it takes "at least" 3 of them.

Thanks for the investigation and solution.  Applied in 6aa5d1dc24, which
should now be live at https://guix.gnu.org/install.sh.

-- 
Thanks,
Maxim